import Trace::*;
import Vector::*;

`define MAX_VOICES       4
`define MAX_CORES       16
`define MAX_PATH_IDS    18
`define MAX_PATH_LENGTH 8

// The path is hardwired and so should never be stored in a register.  Therefore int type rather than Bit type

typedef Bit#(32) MemAddr;
typedef Int#(TLog#(`MAX_PATH_IDS))  PathId;

//The mixer is identified as PathId 0, path end is max 
PathId mixerId = 0;
PathId endId = `MAX_CORES+1;

// Path is array of path ids
typedef Vector#(`MAX_PATH_LENGTH,  PathId) CorePath;
typedef struct
{
  MemAddr   startAddr;
  CorePath  route;
 } FullPath deriving(Eq, Bits);
	     
vector#(`MAX_VOICES, FullPath) routeTable;
CorePath aroute = {1, 2};
routeTable  =  {{12, aroute},{1, aroute}};

 
	     
